FatalException (Mule ESB 2.2.1 API)
Keywords: org.mule.api.lifecycle.FatalException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.lifecycle
Class FatalException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.mule.api.MuleException
                  org.mule.api.lifecycle.LifecycleException
                      org.mule.api.lifecycle.FatalException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  RetryPolicyExhaustedException

    public class FatalException

extends LifecycleException

`FatalException` can be thrown during initialisation or during execution to indicate that something fatal has occurred and the MuleManager must shutdown.

See Also:
  Serialized Form

Constructor Summary
`FatalException(Message message, Object component)`
`FatalException(Message message, Throwable cause, Object component)`
`FatalException(Throwable cause, Object component)`

Method Summary

Methods inherited from class org.mule.api.lifecycle.LifecycleException
`getComponent`

Methods inherited from class org.mule.api.MuleException
`addInfo, appendMessage, equals, getDetailedMessage, getExceptionCode, getI18nMessage, getInfo, getMessage, getMessageCode, hashCode, initialise, prependMessage, setExceptionCode, setMessage, setMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FatalException

    public FatalException(Message message,
                          Object component)

Parameters:
  `message` - the exception message
  `service` - the object that failed during a lifecycle method call

### FatalException

    public FatalException(Message message,
                          Throwable cause,
                          Object component)

Parameters:
  `message` - the exception message
  `cause` - the exception that cause this exception to be thrown
  `service` - the object that failed during a lifecycle method call

### FatalException

    public FatalException(Throwable cause,
                          Object component)

Parameters:
  `cause` - the exception that cause this exception to be thrown
  `service` - the object that failed during a lifecycle method call

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.